## giosrc

giosrc — Read from any GIO-supported location

## Synopsis

    struct              GstGioSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstGioBaseSrc
                               +----GstGioSrc

## Implemented Interfaces

GstGioSrc implements GstURIHandler.

## Properties

      "location"                 gchar*                : Read / Write
      "file"                     GFile*                : Read / Write

## Description

## Synopsis

### Element Information

plugin | gio
author | René Stadler <mail@renestadler.de>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstGioSrc

    struct GstGioSrc;

## Property Details

### The `"location"` property

      "location"                 gchar*                : Read / Write

URI location to read from.

Default value: NULL

### The `"file"` property

      "file"                     GFile*                : Read / Write

GFile to read from.